Slony-I 2.2.10 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SLONIK SYNC

## Name

SYNC -- Generate an ordinary SYNC event

## Synopsis

`SYNC (options);`

## Description

Generates a SYNC event on a specified node.

`ID = ival`

  The node on which to generate the SYNC event.

## Example

         SYNC (ID = 1);
         WAIT FOR EVENT (ORIGIN = 1, CONFIRMED = 2, WAIT ON=1);

## Locking Behaviour

No application-visible locking should take place.

## Slonik Event Confirmation Behaviour

Slonik does not wait for event confirmations before performing this command.

## Version Information

This command was introduced in Slony-I 1.1.6 / 1.2.1

Prev | Home | Next
SLONIK RESUBSCRIBE NODE | Up | SLONIK SLEEP